Firefox 61.0beta parliamone

Postate qui per tutte le discussioni legate a Linux in generale.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Gnu/Linux in genere, se l'argomento è specifico alla Slackware usate uno dei forum Slackware o Slackware64.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2350
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.16.2
Desktop: lxde
Località: Pisa
Contatta:

Re: Firefox 35.0beta parliamone

Messaggioda ponce » mar dic 02, 2014 18:57

a me con lo script in current compila: sara' un problema di poca ram/swap?
per sicurezza avevo settato la macchina virtuale con 10 giga di ram e 8 di swap...

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3505
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: Firefox 35.0beta parliamone

Messaggioda Trotto@81 » mar dic 02, 2014 20:44

Ho la 14.1, ma non ho controllato se mi satura ram e swap, domani riprovo.

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3505
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: Firefox 35.0beta parliamone

Messaggioda Trotto@81 » mar dic 02, 2014 22:31

La ram prima dell'errore arriva ad un massimo di 4.3/5.8 GiB, mentre la swap 0.49/0.49 GiB.
Provo ad aggiungere 6 GiB di swap per vedere se posso risolvere, altrimenti quando farò pulizia proverò a ricompilarlo.

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3505
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: Firefox 35.0beta parliamone

Messaggioda Trotto@81 » mer dic 03, 2014 12:02

Niente, non compila sulla mia 14.1. Con 6 GiB di swap quasi tutta libera mi restituisce il medesimo errore. Dovrò aspettare di installare ex novo la distribuzione usando la current o la prossima stabile. Grazie Ponce per il supporto che ogni volta mi fornisci su Firefox e la compilazione. :D

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3505
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: Firefox 35.0beta parliamone

Messaggioda Trotto@81 » mer ago 12, 2015 20:04

Con Firefox 40 mi ritrovo youtube in solo html5 senza possibilità di tornare a flash, com'è possibile?

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2350
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.16.2
Desktop: lxde
Località: Pisa
Contatta:

Re: Firefox 35.0beta parliamone

Messaggioda ponce » mer ago 12, 2015 21:04

perche' dalle nuove versioni di firefox non lo chiede piu'.
ora per cambiare da uno all'altro si puo' alternativamente:
- usare un'estensione https://addons.mozilla.org/firefox/addo ... eo-player/
- cambiare l'url al volo: mettendo questo tipo di indirizzi si vede in html5 https://www.youtube.com/watch?v=Zdz88MBWomo e mettendoli cosi' in flash https://www.youtube.com/v/Zdz88MBWomo

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3505
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: Firefox 35.0beta parliamone

Messaggioda Trotto@81 » mer ago 12, 2015 21:31

Grazie, per ora ho risolto impostando a false media.webm.enabled.
Devo comunque ricompilare Firefox, perché ho disabitato totalmente gstreamer che sulla 14.1 mi dava errore, visto che nello script ufficiale viene forzata la versione 1.0.

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2350
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.16.2
Desktop: lxde
Località: Pisa
Contatta:

Re: Firefox 35.0beta parliamone

Messaggioda ponce » mer ago 12, 2015 22:50

Trotto@81 ha scritto:Grazie, per ora ho risolto impostando a false media.webm.enabled.
Devo comunque ricompilare Firefox, perché ho disabitato totalmente gstreamer che sulla 14.1 mi dava errore, visto che nello script ufficiale viene forzata la versione 1.0.

quello credo che in parte sia "colpa mia": ho chiesto io a Pat di mettere come default quello, visto che la versione di gstreamer di default in current e' la 1.0.
se non si specifica niente al configure utilizza la versione 0.10.x.

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3505
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: Firefox 35.0beta parliamone

Messaggioda Trotto@81 » mer ago 12, 2015 22:53

È proprio necessario gstreamer o posso tenerlo disattivato?

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2350
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.16.2
Desktop: lxde
Località: Pisa
Contatta:

Re: Firefox 35.0beta parliamone

Messaggioda ponce » mer ago 12, 2015 23:03

Trotto@81 ha scritto:È proprio necessario gstreamer o posso tenerlo disattivato?

puoi passare al configure l'opzione

Codice: Seleziona tutto

--disable-gstreamer

e lui non lo usa per riprodurre i media html5 che quindi non vanno proprio, non solo su youtube, ma da nessuna parte.

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3505
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: Firefox 35.0beta parliamone

Messaggioda Trotto@81 » mer ago 12, 2015 23:07

Ok, ti ringrazio e complimenti per lo script.

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3505
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: Firefox 41.0beta parliamone

Messaggioda Trotto@81 » gio ago 13, 2015 16:39

Ero rimasto alla versione 34, ma con la 40 noto un discreto peggioramento prestazionale del browser. Con un i7 920 e 6 GB di ram è tutto poco reattivo.

EDIT: Diciamo che il ping a 140 ms ci sta mettendo del suo. :evil:

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2350
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.16.2
Desktop: lxde
Località: Pisa
Contatta:

Re: Firefox 41.0beta parliamone

Messaggioda ponce » mer ago 19, 2015 19:37

occhio che dalla versione 41 cambia il formato dell'archivio dei sorgenti nelle directory delle release sul sito di mozilla: da .tar.bz2 diventano .tar.xz.
quindi, per compilare le beta che sono cominciate ad uscire, va modificato lo SlackBuild cosi'

Codice: Seleziona tutto

--- mozilla-firefox/mozilla-firefox.SlackBuild.orig     2015-08-11 19:04:20.000000000 +0200
+++ mozilla-firefox/mozilla-firefox.SlackBuild  2015-08-19 18:25:03.742238049 +0200
@@ -23,7 +23,7 @@
 # Thanks to the folks at the Mozilla Foundation for permission to
 # distribute this, and for all the great work!  :-)
 
-VERSION=$(basename $(ls firefox-*.tar.bz2 | cut -d - -f 2 | rev | cut -f 3- -d . | rev) .source)
+VERSION=$(basename $(ls firefox-*.tar.?z* | cut -d - -f 2 | rev | cut -f 3- -d . | rev) .source)
 RELEASEVER=$(echo $VERSION | cut -f 1 -d r | cut -f 1 -d b)
 # With esr releases we need to fix this
 if [ "${RELEASEVER}r" = "$VERSION" ]; then
@@ -115,11 +115,11 @@
 # or a release (we start assuming this last):
 MOZVERS=${MOZVERS:-release}
 if echo $VERSION | grep -q b ; then # we think it is a beta
-  if bzgrep -q ^mozilla-beta/ $CWD/firefox-$VERSION.source.tar.bz2 ; then
+  if tar tf $CWD/firefox-$VERSION.source.tar.?z* | grep -q ^mozilla-beta/ ; then
     MOZVERS=beta
   fi
 elif echo $VERSION | grep -q esr ; then # we think it is an esr
-  if bzgrep -q ^mozilla-esr$RELEASEVERMAJ/ $CWD/firefox-$VERSION.source.tar.bz2 ; then
+  if tar tf $CWD/firefox-$VERSION.source.tar.?z* | grep -q ^mozilla-esr$RELEASEVERMAJ/ ; then
     MOZVERS=esr$RELEASEVERMAJ
   fi
 fi
@@ -131,7 +131,7 @@
 
 cd $TMP
 rm -rf mozilla-$MOZVERS
-tar xvf $CWD/firefox-$VERSION.source.tar.bz2 || exit 1
+tar xvf $CWD/firefox-$VERSION.source.tar.?z* || exit 1
 cd mozilla-$MOZVERS || exit 1
 
 # Fetch localization, if requested:

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3505
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: Firefox 41.0beta parliamone

Messaggioda Trotto@81 » mer ago 19, 2015 19:41

Grazie per la segnalazione e la patch!! Fantastico! :D

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3505
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: Firefox 41.0beta parliamone

Messaggioda Trotto@81 » mer set 23, 2015 15:54

Ponce vorrei chiederti una cortesia. Quando hai tempo e voglia puoi rivedere lo slackbuild? La directory dei sorgenti dalla 42 beta pare che sia firefox-$VERSION e non più mozilla-beta.